Collections
Create checkout session
Create a hosted checkout session.
POST
/
checkout
Create checkout session
curl --request POST \
--url https://sandbox.kulmipay.com/api/v1/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"country": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipcode": "<string>",
"api_ref": "<string>",
"wallet_id": "<string>",
"host": "<string>",
"is_mobile": true,
"redirect_url": "<string>",
"amount": "<string>"
}
'import requests
url = "https://sandbox.kulmipay.com/api/v1/checkout"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"country": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipcode": "<string>",
"api_ref": "<string>",
"wallet_id": "<string>",
"host": "<string>",
"is_mobile": True,
"redirect_url": "<string>",
"amount": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
phone_number: '<string>',
email: 'jsmith@example.com',
country: '<string>',
address: '<string>',
city: '<string>',
state: '<string>',
zipcode: '<string>',
api_ref: '<string>',
wallet_id: '<string>',
host: '<string>',
is_mobile: true,
redirect_url: '<string>',
amount: '<string>'
})
};
fetch('https://sandbox.kulmipay.com/api/v1/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.kulmipay.com/api/v1/checkout",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => '<string>',
'last_name' => '<string>',
'phone_number' => '<string>',
'email' => 'jsmith@example.com',
'country' => '<string>',
'address' => '<string>',
'city' => '<string>',
'state' => '<string>',
'zipcode' => '<string>',
'api_ref' => '<string>',
'wallet_id' => '<string>',
'host' => '<string>',
'is_mobile' => true,
'redirect_url' => '<string>',
'amount' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.kulmipay.com/api/v1/checkout"
payload := strings.NewReader("{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"country\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zipcode\": \"<string>\",\n \"api_ref\": \"<string>\",\n \"wallet_id\": \"<string>\",\n \"host\": \"<string>\",\n \"is_mobile\": true,\n \"redirect_url\": \"<string>\",\n \"amount\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.kulmipay.com/api/v1/checkout")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"country\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zipcode\": \"<string>\",\n \"api_ref\": \"<string>\",\n \"wallet_id\": \"<string>\",\n \"host\": \"<string>\",\n \"is_mobile\": true,\n \"redirect_url\": \"<string>\",\n \"amount\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.kulmipay.com/api/v1/checkout")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"country\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zipcode\": \"<string>\",\n \"api_ref\": \"<string>\",\n \"wallet_id\": \"<string>\",\n \"host\": \"<string>\",\n \"is_mobile\": true,\n \"redirect_url\": \"<string>\",\n \"amount\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"signature": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"country": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipcode": "<string>",
"api_ref": "<string>",
"wallet_id": "<string>",
"method": "M-PESA",
"host": "<string>",
"is_mobile": true,
"version": "<string>",
"redirect_url": "<string>",
"amount": "<string>",
"currency": "KES",
"paid": true,
"mobile_tarrif": "BUSINESS-PAYS",
"bitcoin_tarrif": "BUSINESS-PAYS",
"ach_tarrif": "BUSINESS-PAYS",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Use your KulmiPay secret key as the Bearer token.
Body
application/json
Maximum string length:
45Pattern:
^[a-zA-Z0-9-_ ]+$Maximum string length:
45Pattern:
^[a-zA-Z0-9-_ ]+$Maximum string length:
30Pattern:
^[0-9-_+ ]+$Maximum string length:
254Maximum string length:
2Pattern:
^[a-zA-Z0-9-_ ]+$Maximum string length:
140Pattern:
^[a-zA-Z0-9-_ .,]+$Maximum string length:
70Pattern:
^[a-zA-Z0-9-_ .,]+$Maximum string length:
70Pattern:
^[a-zA-Z0-9-_ .,]+$Maximum string length:
10Pattern:
^[a-zA-Z0-9-_ ]+$Maximum string length:
70Pattern:
^[a-zA-Z0-9-_ ]+$Maximum string length:
10Pattern:
^[a-zA-Z0-9-_ ]+$Available options:
M-PESA, PESALINK Maximum string length:
400Pattern:
^[a-zA-Z0-9-_./=:?# ]+$Maximum string length:
400Pattern:
^[a-zA-Z0-9-_./=:?# ]+$Available options:
KES, USD, EUR, GBP Available options:
BUSINESS-PAYS, CUSTOMER-PAYS Available options:
BUSINESS-PAYS, CUSTOMER-PAYS Available options:
BUSINESS-PAYS, CUSTOMER-PAYS Response
201 - application/json
Minimum string length:
1Minimum string length:
1Maximum string length:
45Pattern:
^[a-zA-Z0-9-_ ]+$Maximum string length:
45Pattern:
^[a-zA-Z0-9-_ ]+$Maximum string length:
30Pattern:
^[0-9-_+ ]+$Maximum string length:
254Maximum string length:
2Pattern:
^[a-zA-Z0-9-_ ]+$Maximum string length:
140Pattern:
^[a-zA-Z0-9-_ .,]+$Maximum string length:
70Pattern:
^[a-zA-Z0-9-_ .,]+$Maximum string length:
70Pattern:
^[a-zA-Z0-9-_ .,]+$Maximum string length:
10Pattern:
^[a-zA-Z0-9-_ ]+$Maximum string length:
70Pattern:
^[a-zA-Z0-9-_ ]+$Maximum string length:
10Pattern:
^[a-zA-Z0-9-_ ]+$Available options:
M-PESA, PESALINK Maximum string length:
400Pattern:
^[a-zA-Z0-9-_./=:?# ]+$Minimum string length:
1Maximum string length:
400Pattern:
^[a-zA-Z0-9-_./=:?# ]+$Available options:
KES, USD, EUR, GBP Available options:
BUSINESS-PAYS, CUSTOMER-PAYS Available options:
BUSINESS-PAYS, CUSTOMER-PAYS Available options:
BUSINESS-PAYS, CUSTOMER-PAYS ⌘I
Create checkout session
curl --request POST \
--url https://sandbox.kulmipay.com/api/v1/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"country": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipcode": "<string>",
"api_ref": "<string>",
"wallet_id": "<string>",
"host": "<string>",
"is_mobile": true,
"redirect_url": "<string>",
"amount": "<string>"
}
'import requests
url = "https://sandbox.kulmipay.com/api/v1/checkout"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"country": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipcode": "<string>",
"api_ref": "<string>",
"wallet_id": "<string>",
"host": "<string>",
"is_mobile": True,
"redirect_url": "<string>",
"amount": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
phone_number: '<string>',
email: 'jsmith@example.com',
country: '<string>',
address: '<string>',
city: '<string>',
state: '<string>',
zipcode: '<string>',
api_ref: '<string>',
wallet_id: '<string>',
host: '<string>',
is_mobile: true,
redirect_url: '<string>',
amount: '<string>'
})
};
fetch('https://sandbox.kulmipay.com/api/v1/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.kulmipay.com/api/v1/checkout",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => '<string>',
'last_name' => '<string>',
'phone_number' => '<string>',
'email' => 'jsmith@example.com',
'country' => '<string>',
'address' => '<string>',
'city' => '<string>',
'state' => '<string>',
'zipcode' => '<string>',
'api_ref' => '<string>',
'wallet_id' => '<string>',
'host' => '<string>',
'is_mobile' => true,
'redirect_url' => '<string>',
'amount' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.kulmipay.com/api/v1/checkout"
payload := strings.NewReader("{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"country\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zipcode\": \"<string>\",\n \"api_ref\": \"<string>\",\n \"wallet_id\": \"<string>\",\n \"host\": \"<string>\",\n \"is_mobile\": true,\n \"redirect_url\": \"<string>\",\n \"amount\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.kulmipay.com/api/v1/checkout")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"country\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zipcode\": \"<string>\",\n \"api_ref\": \"<string>\",\n \"wallet_id\": \"<string>\",\n \"host\": \"<string>\",\n \"is_mobile\": true,\n \"redirect_url\": \"<string>\",\n \"amount\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.kulmipay.com/api/v1/checkout")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"<string>\",\n \"last_name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"country\": \"<string>\",\n \"address\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"zipcode\": \"<string>\",\n \"api_ref\": \"<string>\",\n \"wallet_id\": \"<string>\",\n \"host\": \"<string>\",\n \"is_mobile\": true,\n \"redirect_url\": \"<string>\",\n \"amount\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"signature": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"country": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zipcode": "<string>",
"api_ref": "<string>",
"wallet_id": "<string>",
"method": "M-PESA",
"host": "<string>",
"is_mobile": true,
"version": "<string>",
"redirect_url": "<string>",
"amount": "<string>",
"currency": "KES",
"paid": true,
"mobile_tarrif": "BUSINESS-PAYS",
"bitcoin_tarrif": "BUSINESS-PAYS",
"ach_tarrif": "BUSINESS-PAYS",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}